summaryrefslogtreecommitdiffstats
path: root/k8s-bootstrap-container
diff options
context:
space:
mode:
authorJack Lucas <jflucas@research.att.com>2018-08-22 19:29:40 +0000
committerJack Lucas <jflucas@research.att.com>2018-08-22 19:29:52 +0000
commit45cb899800a171a398238665009af73927969db0 (patch)
treeebcf1f9c6622bfe29bf36a4591475f977a622468 /k8s-bootstrap-container
parentc6b1a01dcaa092662ce517b3aaeb2eec3443818d (diff)
Update CM to 18.7.23
Issue-ID: DCAEGEN2-619 Change-Id: I8140061d9358a99f2e13bb78facb15dbc77229a7 Signed-off-by: Jack Lucas <jflucas@research.att.com>
Diffstat (limited to 'k8s-bootstrap-container')
-rw-r--r--k8s-bootstrap-container/Dockerfile-template2
-rwxr-xr-xk8s-bootstrap-container/bootstrap.sh4
-rw-r--r--k8s-bootstrap-container/pom.xml2
3 files changed, 4 insertions, 4 deletions
diff --git a/k8s-bootstrap-container/Dockerfile-template b/k8s-bootstrap-container/Dockerfile-template
index 55e64f0..9f95eb8 100644
--- a/k8s-bootstrap-container/Dockerfile-template
+++ b/k8s-bootstrap-container/Dockerfile-template
@@ -41,7 +41,7 @@ COPY 00-consul.json /opt/consul/config/
RUN curl -Ss -L "https://github.com/stedolan/jq/releases/download/jq-1.5/jq-linux64" > /bin/jq \
&& chmod +x /bin/jq
-# Install pip
+# Install pip and Cloudify CLI (stay at version 4.2 because of changes in higher versions)
RUN curl https://bootstrap.pypa.io/get-pip.py -o get-pip.py \
&& python get-pip.py \
&& rm get-pip.py \
diff --git a/k8s-bootstrap-container/bootstrap.sh b/k8s-bootstrap-container/bootstrap.sh
index fb092ce..2fe0cac 100755
--- a/k8s-bootstrap-container/bootstrap.sh
+++ b/k8s-bootstrap-container/bootstrap.sh
@@ -195,8 +195,9 @@ do
install_plugin ${wagon}
done
+# After this point, failures should not stop the script or block later commands
+trap - ERR
set +e
-# (Don't let failure of one stop the script. This is likely due to image pull taking too long.)
# Deploy platform components
# Allow for some parallelism to speed up the process. Probably could be somewhat more aggressive.
@@ -223,7 +224,6 @@ deploy prh k8s-prh.yaml &
# holmes_rules must be deployed before holmes_engine, but holmes_rules can go in parallel with other service components
deploy holmes_rules k8s-holmes-rules.yaml k8s-holmes_rules-inputs.yaml
deploy holmes_engine k8s-holmes-engine.yaml k8s-holmes_engine-inputs.yaml
-set -e
# Display deployments, for debugging purposes
cfy deployments list
diff --git a/k8s-bootstrap-container/pom.xml b/k8s-bootstrap-container/pom.xml
index 33b58ae..066a71d 100644
--- a/k8s-bootstrap-container/pom.xml
+++ b/k8s-bootstrap-container/pom.xml
@@ -27,7 +27,7 @@ limitations under the License.
<groupId>org.onap.dcaegen2.deployments</groupId>
<artifactId>k8s-bootstrap-container</artifactId>
<name>dcaegen2-deployments-k8s-bootstrap-container</name>
- <version>1.4.0</version>
+ <version>1.4.1</version>
<url>http://maven.apache.org</url>
<properties>
<project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>